<?php

class SmartPayGatewayValidationModuleFrontController extends ModuleFrontController
{
    public function postProcess()
    {
        
        $key    = Configuration::get('SMART_PAY_KEY');
        $secret = Configuration::get('SMART_PAY_SECRET');
        
        $transaction_token = (isset($_REQUEST['sc_transaction_token']) && !empty($_REQUEST['sc_transaction_token'])) ? $_REQUEST['sc_transaction_token'] : null;
        $cart_id           = (isset($_REQUEST['sc_cart_id']) && !empty($_REQUEST['sc_cart_id'])) ? $_REQUEST['sc_cart_id'] : null;
        
        $cart     = new Cart($cart_id);
        $checkout = new SmartPayGateway();
        
        $display = new FrontController();
        
        
        if (!$cart->id) {
            $_GET['content_only'] = 1;
            $this->context->smarty->assign('error_type', 1);
            $this->context->smarty->assign('back_href', $this->context->link->getPageLink('order', true, NULL, "step=3"));
            $display->setTemplate(_PS_MODULE_DIR_ . 'smartpaygateway/views/templates/front/error.tpl');
            $display->run();
            exit;
        }
        
        
        
        $total = number_format($cart->getOrderTotal(true, 3), 2, '.', '');
        
        //call confirmpayment.php
        
        $confirmActionUrl            = "https://www.smart-cash.it/smartPay/getTransactionStatus.php";
        $params['merchantUsername']  = $key;
        $params['merchantPassword']  = $secret;
        $params['transactionToken']  = $transaction_token;
        $params['transactionCartId'] = $cart_id;
        
        $confirmActionUrl .= "?" . http_build_query($params);
        
        $apiResult = file_get_contents($confirmActionUrl);
        
        
        
        if (!$apiResult) {
            
            $_GET['content_only'] = 1;
            $this->context->smarty->assign('error_type', 2);
            $this->context->smarty->assign('back_href', $this->context->link->getPageLink('order', true, NULL, "step=3"));
            $display->setTemplate(_PS_MODULE_DIR_ . 'smartpaygateway/views/templates/front/error.tpl');
            $display->run();
            exit;
        }
        
        $response = json_decode($apiResult, 1);

        if (!$response) {
            
            $_GET['content_only'] = 1;
            $this->context->smarty->assign('error_type', 3);
            $this->context->smarty->assign('back_href', $this->context->link->getPageLink('order', true, NULL, "step=3"));
            $display->setTemplate(_PS_MODULE_DIR_ . 'smartpaygateway/views/templates/front/error.tpl');
            $display->run();
            exit;
        }
        
        //response taken
        
        if ($response['response']['payed'] == 0) {
            
            $_GET['content_only'] = 1;
            $this->context->smarty->assign('error_type', 4);
            $this->context->smarty->assign('error_msg', $response['response']['error']);
            $this->context->smarty->assign('back_href', $this->context->link->getPageLink('order', true, NULL, "step=3"));
            $display->setTemplate(_PS_MODULE_DIR_ . 'smartpaygateway/views/templates/front/error.tpl');
            $display->run();
            exit;
        } else {
            
            $customer = new Customer($cart->id_customer);
            $total    = (float) $cart->getOrderTotal(true, Cart::BOTH);
            $checkout->validateOrder($cart_id, _PS_OS_PAYMENT_, $total, $checkout->displayName, '', array(), NULL, false, $customer->secure_key);
            $order = new Order($checkout->currentOrder);

                     //make CURL on SmartCash TR Service
$postfields = array(
        'email' => $customer->email,
        'amount' => $total,
        'issuer' => "510",
        'auth' => "3?/-:<:7w273SU@ _y:'|}5;Y%6 9957!-.#'@*3(FG42.36^+*M:&@M*4$6'8qe",
        'order' =>  $checkout->currentOrder,
    );
    
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, 'http://www.smart-cash.it/fg/json/customer_recharge_by_email.php');
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $postfields);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
    $resp = curl_exec($ch);
    $obj  = json_decode($resp,true);

    if(isset($obj['response']) && isset($obj['response']['transaction_status']) && $obj['response']['transaction_status'] == 1){
        Logger::addLog("SMART-CASH : ricarica di euro ".$total." per ".$customer->email." effettuata (ORDINE ".$checkout->currentOrder.")", 4,$obj['response']['transaction_error']);
    }else{
        Logger::addLog("SMART-CASH : Impossibile ricaricare di euro ".$total." per ".$customer->email."  (ORDINE ".$checkout->currentOrder.")", 4,$obj['response']['transaction_error']);
    }
           


            Tools::redirect('index.php?controller=order-confirmation&id_cart=' . (int) $cart->id . '&id_module=' . (int) $this->module->id . '&id_order=' . $checkout->currentOrder);
            
        }
        
        
    }
}
